[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TShiftStateEnum

Keyboard/Mouse shift state enumerator

## Declaration

Source position: classesh.inc line 101

`type TShiftStateEnum = (`
`ssShift,` |  | Shift key pressed
`ssAlt,` |  | Alt key pressed
`ssCtrl,` |  | Ctrl key pressed
`ssLeft,` |  | Left mouse button pressed.
`ssRight,` |  | Right mouse button pressed.
`ssMiddle,` |  | Middle mouse button pressed.
`ssDouble,` |  | Double mouse click.
`ssMeta,` |  | Meta key pressed.
`ssSuper,` |  | Super key pressed.
`ssHyper,` |  | Hyper key pressed.
`ssAltGr,` |  | Alt-GR key pressed.
`ssCaps,` |  | Caps lock key pressed
`ssNum,` |  | Num lock key pressed
`ssScroll,` |  | Scroll lock key pressed
`ssTriple,` |  | Triple mouse click
`ssQuad,` |  | Quadruple mouse click
`ssExtra1,` |  | Extra key 1
`ssExtra2` |  | Extra key 2
`);`